import java.util.regex.Pattern;
import java.util.regex.Matcher;
import java.util.regex.PatternSyntaxException;

public class PatternMatcher {

    public PatternMatcher(String regex, String input) {
        try {
            Pattern pattern = Pattern.compile(regex);
            Matcher matcher = pattern.matcher(input);

            if (matcher.matches()) {
                System.out.println("[" + input + "] matches [" + pattern.pattern() + "]");
            } else {
                System.out.println("[" + input + "] DON'T matches [" + pattern.pattern() + "]");
            }
        } catch (PatternSyntaxException ex) {
            System.err.println(ex.getMessage());
            ex.printStackTrace();
        }
    }

    public static void main(String[] args) {
        if (args.length < 2) {
            System.out.println("Usage: java PatternMacher pattern input");
            return;
        }

        new PatternMatcher(args[0], args[1]);
    }
}

